use ExtUtils::MakeMaker;

my $mainfile = 'lib/Fedora/Rebuild.pm';

my $runtime_dependenices = {
    'constant' => 0,
    'Carp' => 0,
    'Data::Dumper' => 0,
    'DateTime' => 0,
    'File::Copy' => 0,
    'File::Path' => 0,
    'File::Spec' => 0,
    'IO::Handle' => 0,
    'Moose' => 0,
    'MooseX::Types::Moose' => 0,
    'Moose::Util::TypeConstraints' => 0,
    'namespace::clean' => 0,
    'POSIX' => 0,
    'Proc::SyncExec' => 0,
    'RPM2' => 0,
    'RPM::VersionCompare' => 0,
    'Scalar::Util' => 0,
    'Storable' => 0,
    'Term::ProgressBar' => 0,
    'threads' => 0,
    'Thread::Semaphore' => 0,
    'threads::shared' => 0,
    'version' => 0.77,
};

WriteMakefile(
    'NAME' => 'Fedora::Rebuild',
    'VERSION_FROM' => $mainfile,
    'ABSTRACT_FROM' => $mainfile,
    'AUTHOR' => 'Petr Písař <ppisar@redhat.com>',
    'LICENSE' => 'gpl_3',
    'EXE_FILES' => [ ( glob 'bin/*' ) ],
    'BUILD_REQUIRES' => {
        %$runtime_dependenices,
        'Data::Compare' => 0,
        'Test::Simple' => 0,
    },
    'PREREQ_PM' => $runtime_dependenices
);
